Community
Showing results for 
Search instead for 
Do you mean 
Reply

Can't sync with new server

New Member
Posts: 17
Country: USA

Can't sync with new server

We recently replaced our server and now my laptop will not synchronize.  We are getting this error message..

 

Failed to synchronize with the server. Could not load file or assembly ‘Act.framework.synchronization,
 version=9.1.162.0, culture=neutral, publicKeyToken=ebf66b2ff4d0a08aa’ or one of it’s dependencies.
 The located assemblky’s manifest definition does not match the assembly reference.
 (Execption from hresult: 0x80131040)

Copper Super Contributor
Posts: 138
Country: United States

Re: Can't sync with new server

Did you recently update ACT! on either the main (publisher) machine or the remote (subscriber) machine?

 

You did not state if you're using Application Sync (Tools>Sync>Accept Incoming Syncs) or Network Sync Server.  If the Sync Service, I would recommend you try uninstalling it and reinstalling on that machine, careful to configure the same TCP/IP Port and registering (adding) the Publisher database again.

 

Sounds like there's an ACT! product version mis-match between the remote client and the Sync Server (either ACT! if Application Sync or the Network Sync Server if using that).

Bill Blakey
ACT! Development Team
Sage Software

New Member
Posts: 1
Country: United States

Re: Can't sync with new server

Did anyone ever find a solution to this problem?  I have a user with the same error message on ACT! Premium for Workgroups 2007 version 9.0.0.557.

New Member
Posts: 17
Country: USA

Re: Can't sync with new server

The short answer is yes.  We were working on several issues concerning a server change at the time I posted this question and honestly I don't recall exactly what we did to fix this exact issue.  It may have been related to a port number issue.  One other thing you might try if you have not already, stop the sync service, detach the database using actdiag and then try reopening the file.